org.apache.coyote.http2

## Interface HpackEncoder.HpackHeaderFunction

- Enclosing class:
    HpackEncoder

      public static interface HpackEncoder.HpackHeaderFunction

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldUseHuffman(String header)` Returns true if huffman encoding should be used on the header name
    `boolean` | `shouldUseHuffman(String header, String value)` Returns true if huffman encoding should be used on the header value
    `boolean` | `shouldUseIndexing(String header, String value)`

- - ### Method Detail

    - #### shouldUseIndexing

          boolean shouldUseIndexing(String header,
                                  String value)

    - #### shouldUseHuffman

          boolean shouldUseHuffman(String header,
                                 String value)

      Returns true if huffman encoding should be used on the header value
      Parameters:
        `header` - The header name
        `value` - The header value to be encoded
      Returns:
        `true` if the value should be encoded

    - #### shouldUseHuffman

          boolean shouldUseHuffman(String header)

      Returns true if huffman encoding should be used on the header name
      Parameters:
        `header` - The header name to be encoded
      Returns:
        `true` if the value should be encoded

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.